Boost.Locale: boost::locale::ios_info Class Reference

| Boost.Locale

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | List of all members
boost::locale::ios_info Class Reference

This class holds an external data - beyond existing fmtflags that std::ios_base holds. More...

`#include <boost/locale/formatting.hpp>`

## Public Member Functions
void | display_flags (uint64_t flags)
void | currency_flags (uint64_t flags)
void | date_flags (uint64_t flags)
void | time_flags (uint64_t flags)
void | datetime_flags (uint64_t flags)
void | domain_id (int)
void | time_zone (std::string const &)
template<typename CharType >
void | date_time_pattern (std::basic_string< CharType > const &str)
uint64_t | display_flags () const
uint64_t | currency_flags () const
uint64_t | date_flags () const
uint64_t | time_flags () const
uint64_t | datetime_flags () const
int | domain_id () const
std::string | time_zone () const
template<typename CharType >
std::basic_string< CharType > | date_time_pattern () const

## Static Public Member Functions
static ios_info & | get (std::ios_base &ios)

## Detailed Description

This class holds an external data - beyond existing fmtflags that std::ios_base holds.

You should almost never create this object directly. Instead, you should access it via ios_info::get(stream_object) static member function. It automatically creates default formatting data for that stream

## Member Function Documentation

void boost::locale::ios_info::currency_flags | ( | uint64_t | flags | ) |

Set a flags that define how to format currency

uint64_t boost::locale::ios_info::currency_flags | ( |  | ) | const

Get a flags that define how to format currency

void boost::locale::ios_info::date_flags | ( | uint64_t | flags | ) |

Set a flags that define how to format date

uint64_t boost::locale::ios_info::date_flags | ( |  | ) | const

Get a flags that define how to format date

template<typename CharType >

void boost::locale::ios_info::date_time_pattern | ( | std::basic_string< CharType > const & | str | ) |
| inline

Set date/time pattern (strftime like)

template<typename CharType >

std::basic_string<CharType> boost::locale::ios_info::date_time_pattern | ( |  | ) | const
| inline

Get date/time pattern (strftime like)

void boost::locale::ios_info::datetime_flags | ( | uint64_t | flags | ) |

Set a flags that define how to format both date and time

uint64_t boost::locale::ios_info::datetime_flags | ( |  | ) | const

Get a flags that define how to format both date and time

void boost::locale::ios_info::display_flags | ( | uint64_t | flags | ) |

Set a flags that define a way for format data like number, spell, currency etc.

uint64_t boost::locale::ios_info::display_flags | ( |  | ) | const

Get a flags that define a way for format data like number, spell, currency etc.

void boost::locale::ios_info::domain_id | ( | int |  | ) |

Set special message domain identification

int boost::locale::ios_info::domain_id | ( |  | ) | const

Get special message domain identification

static ios_info& boost::locale::ios_info::get | ( | std::ios_base & | ios | ) |
| static

Get ios_info instance for specific stream object

void boost::locale::ios_info::time_flags | ( | uint64_t | flags | ) |

Set a flags that define how to format time

uint64_t boost::locale::ios_info::time_flags | ( |  | ) | const

Get a flags that define how to format time

void boost::locale::ios_info::time_zone | ( | std::string const & |  | ) |

Set time zone for formatting dates and time

std::string boost::locale::ios_info::time_zone | ( |  | ) | const

Get time zone for formatting dates and time

The documentation for this class was generated from the following file:

- boost/locale/formatting.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.